------------------------------------------------------------------------------
--
-- Filename:                dff.vhd
-- Inhalt:                  Verhaltensbeschreibung fuer ein D-Flip-Flop
--
------------------------------------------------------------------------------
--
-- Autor:                   Gunther Lehmann
-- Letzte Aenderung:        07.03.94
--
------------------------------------------------------------------------------

ENTITY dff IS

  PORT (d, clk: IN  bit;
        q:      OUT bit);

END dff;

------------------------------------------------------------------------------

ARCHITECTURE behavioral OF dff IS
BEGIN

  PROCESS (clk)
  BEGIN

    IF clk = '1' AND clk'EVENT THEN
      q <= d AFTER 1.3 ns;
    END IF;

  END PROCESS;

END behavioral;

------------------------------------------------------------------------------
  

